import flash.net.NetConnection;
import flash.net.ObjectEncoding;
import flash.events.NetStatusEvent;
import flash.display.Sprite;
import flash.text.TextField;
import flash.text.TextFormat;

class Main {
    static public var root:Sprite;
    public var conn:NetConnection;
    static var output:TextField;

    static function main() {
        root = flash.Lib.current;

        // Textfeld fuer Debug-Ausgabe erzeugen
        output = new TextField();
        output.defaultTextFormat = new TextFormat("verdana", 11);
        output.width = 350;
        output.height = 100;
        output.border = true;
        output.textColor = 0x000000;
        root.addChild(output);

        new Main();
    }

    // Zur Anzeige client-seitiger Debug-Informationen
    public function trace(str) {
        output.text += str + '\n';
    }

    function netstat(stats:NetStatusEvent) {
        if(stats.info.code == "NetConnection.Connect.Success") {
            this.trace("Connection with server established");
        }
        else if(stats.info.code == "NetConnection.Connect.Rejected") {
            this.trace("Connection with server rejected: " +
                  stats.info.application.message);
        }
        else if(stats.info.code == "NetConnection.Connect.Failed") {
            this.trace("Connection with server failed");
        }
    }

    function new() {
        conn = new NetConnection();
        conn.objectEncoding = ObjectEncoding.AMF0;
        conn.addEventListener(NetStatusEvent.NET_STATUS, netstat);

        conn.client = new Client(conn, this);

        try {
            conn.connect("rtmp://localhost/echo");
        }
        catch(ex:Dynamic) {
            trace(ex);
        }
    }
}
